So far, I haven't been able to install zimbra on 9.04 because some libraries were upgraded and it is looking for the old ones. When should we expect a new version for ubuntu 9.04?